Name:- **`Smruti Ranjan Swain`[NAME]** -NL- Email Id: - **`smrutiswain32@gmail.com`[EMAILS_EMAIL]** -NL- Mobile: **`+91-9035912839`[PHONES_PHONE]** -NL- **`Objective:`[SUMMARY_HEADING]** -NL- To work in a focused organization where I can prove my creativity, skills, strengths and -NL- have a satisfaction of achieving the goals with having the excitement of working to make a -NL- rich as well as rewarding global career with Personal satisfaction and achievement. -NL- **`Professional Summary :`[SUMMARY_HEADING]** -NL-  Around 4 Years of professional experience in MS .NET Programmer involved in the -NL- system study, Designing, Developing projects. -NL-  Having Experience in Payments Domain in Dell. -NL-  Specialize in Web Application using the (n-tier architectures ASP.NET WEBAPI, EF, -NL- LINQ, MVC, WCF, AJAX,JQUERY, C#, ADO.NET, MS SQL Server 2014. -NL-  Web based designing and programming in the IT sector. -NL-  Have a good development knowledge using technologies like .NET. -NL-  Know how to Monitoring development activities and reporting project progress. -NL-  Exceptionally well organized, Strong work ethics, short learning curve & desire to -NL- achieve team objectives and goals, Ability to handle multiple tasks. -NL-  Excellent oral and written communication skills and very strong leadership abilities. -NL-  Possess very strong analytical, interpersonal and problem solving skills. -NL-  Strong knowledge in different phases of software development life cycle, including -NL- designing, testing, documenting and preparing requiring specifications as part of -NL- software technical requirements. -NL-  Highly self motivated individual with proven ability to learn fast and work well under -NL- pressure. -NL- **`Carrier Profile`[WORK_EXPERIENCE_HEADING]** -NL- Dates - Organization - Role -NL- JUNE 2014 - PRECIFAB TECHNOLOGIES PVT LTD - **`Software Developer`[EMPLOYER_ROLE]** -NL- Jan 2016 - **`DELL INTERNATIONAL SERVICES(DIS)`[EMPLOYER_COMPANY_NAME]** - **`Software Engineer 1`[EMPLOYER_ROLE]** -NL- **`Technical Profile`[WORK_EXPERIENCE_HEADING]** -NL- Programming language : DOTNET(C#) -NL- Data Base : MS SQL Server 2014. -NL- Web Technologies :ASP.NETWEBAPI,EF,ASP.NET -NL- MVC,ASP.NET,ADO.NET,AJAX,JQUERY -NL- Service : WCF, ASP.NET WEBAPI -NL- Scripting Technology : Require JS,HTML,Javascript,JQuery -NL- Tools : SWAGGER, POSTMAN,SOAP-UI,SPLUNK -NL- Load Testing Tools : JMETER -NL- Unit Testing : MOQ, NSUBTITUTE -NL- Project Title1:- GLOBAL PAYMENTS GATEWAY -NL- Role:- SOFTWARE ENGINEER 1 -NL- Team Size-6 -NL- Client:- **`STP,SWARM,C2R`[PROJECT_COMPANY_NAME]** -NL- Platform: -Asp.net Webapi, EF, Sql Server 2014, Swagger,Jmeter -NL- Description:- We support different payment types : Credit Card,Brasapag(Brazil -NL- creditcard),Gift Card,Alipay,PayPal etc.For Credit Card there are different API’s we have like -NL- Register,Validate,Authorize,Capture,Refund,Void.Frist of all Consumer will call Register -NL- Api .In Register we will validate the Payload using Fluent Validation .Then we save it in -NL- our DB, and the Generate the GPID for the particular Request.Then Consumer will call for -NL- our Authorize Api by passing the same GPID and other Parameters .Here we will retrieve the -NL- record based on the GPID, And pass to our interlock for the vendor call.To verify about the -NL- card details and send back the response to GPG.Then Refund will be Call by our InterLock -NL- by passing AuthId and GPID .Here we will check for date of transaction .If it is more than -NL- five days then refund will be not been done.And same constraint will be follow for the Void. -NL- Responsibilities: -NL-  Implemented Fluent Validation for the Payload -NL-  Written Mock Test Cases for different Api. -NL-  Implemented Register Api for Credit Card. -NL-  Conducted Load testing using Jmeter. -NL- Project Title2:- **`BankTransfer `[PROJECT_TITLE]**-NL- Role:- SOFTWARE ENGINEER 1 -NL- Team Size:- 6 -NL- Client:-**`STP`[PROJECT_COMPANY_NAME]** -NL- Platform: -Asp.net Webapi,EF,Sql Server 2014,Swagger,Jmeter -NL- Description:- GPG support banktransfer for two regions CA & EMEA.When Responsive call -NL- register api we register and save in our Db.And generate GPID and TTL.In case of GIRO bank -NL- (Germany) extra parameters are required i.e Iban and Account number.Then next api is -NL- validate payment consumer will pass gpid and we call global collect(GC) through -NL- datapower url & send all registration details to them.And in response we get payment -NL- url,paymentid & payment reference nu.Then in Checkpaymentstatus will get call by passing -NL- gpid.And then we will pick paymentid and payment reference number based on the gpid -NL- form Db and GC and in response we will get success or failure.Then we will update our Db -NL- based on that gpid and send back response to responsive.Then Comes Void Api we pass -NL- paymentid & country to GC to cancel the transaction.After getting response form GC we -NL- update in our Db for that specific gpid & paymentid and send back response to responsive . -NL- Responsibilities: -NL-  Implemented Fluent Validation for the Payload -NL-  Written Mock Test Cases for different Api. -NL-  Implemented Register Api for bank transfer. -NL-  Conducted Load testing using Jmeter. -NL-  Implemented Mapper for request and response. -NL- **`PERSONAL PROFILE`[PERSONAL_DETAILS_HEADING]** -NL-  Date of Birth -NL- - 22nd Sep 1987 -NL-  Marital Status -NL- - Unmarried. -NL-  Nationality -NL- - Indian -NL-  Languages Known - English, Hindi, Oriya -NL-  Father’s Name - Mr. Dhruba Charan Swain -NL- I hereby declare that all the information furnished above is true to the best of my -NL- knowledge and belief. -NL- Place: Bangalore -NL- SMRUTI -NL- RANJAN SWAIN -NL- 